Export Recommendation To Csv

Export Recommendation To Csv
Export the recommendation infrastructure payload

Downloads the recommended infrastructure payload (policies, rules, groups) in a specified file format.

Notes:

  • Currently supports CSV output format via the output_format query parameter.
  • Use the detail_level query parameter to choose between SUMMARY (simplified fields) or DETAILED (full payload data).
Request
URI
GET
https://{api_host}/intelligence/recommendations/{id}/results/{result-id}/export
COPY
Path Parameters
string
id
Required  

The id of the resource

string
result-id
Required  

The result id of a recommendation session for each site. For now the result id will be the site id.

Query Parameters
string
detail_level
Required  

The detail level of the recommendation output (summary or detailed).

Enumeration: SUMMARY, DETAILED
output_format
Optional
Constraints: default: CSV

The export format of the recommendation (e.g., CSV). Additional formats may be supported in the future.


Authentication
This operation uses the following authentication methods.
Responses
200

The file containing the recommendation infrastructure payload was successfully generated and returned. The detail level (summary or detailed) is determined by the detail_level query parameter, and the export format (e.g., CSV) is determined by the output_format query parameter.

Returns string of type(s) application/csv
Operation doesn't return any data structure

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/intelligence/recommendations/{id}/results/{result-id}/export?detail_level=v